Bug 1690795 - Remove Grub2 UEFI HTTP options from PXE loader
Summary: Remove Grub2 UEFI HTTP options from PXE loader
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks: 1709443
TreeView+ depends on / blocked
 
Reported: 2019-03-20 09:33 UTC by Lukas Zapletal
Modified: 2019-10-07 17:17 UTC (History)
3 users (show)

Fixed In Version: foreman-1.20.1.29-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1709443 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:40:31 UTC


Attachments (Terms of Use)
pxe loaders menu (17.69 KB, image/png)
2019-03-27 13:23 UTC, Roman Plevka
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:41 UTC

Description Lukas Zapletal 2019-03-20 09:33:11 UTC
UEFI HTTP boot support is a prototype which does not work correctly yet. To prevent confusion, let's remove those options from the PXE Loader menu.

        "Grub2 UEFI HTTP" => "http://#{httpboot_host}/httpboot/grub2/grub#{precision}.efi",
        "Grub2 UEFI HTTPS" => "https://#{httpboot_host}/httpboot/grub2/grub#{precision}.efi",
        "Grub2 UEFI HTTPS SecureBoot" => "https://#{httpboot_host}/httpboot/grub2/shim#{precision}.efi",

The RFE is being tracked under https://bugzilla.redhat.com/show_bug.cgi?id=1619274

Comment 5 Roman Plevka 2019-03-27 13:23:08 UTC
Created attachment 1548577 [details]
pxe loaders menu

VERIFIED on sat6.5.0-21

the options are no lonfer present in ui (see attached screenshot)

```
hammer host create --help
...
 --pxe-loader PXE_LOADER                                       DHCP filename option (Grub2/PXELinux by default)
                                                               Possible value(s): 'None', 'PXELinux BIOS', 'PXELinux UEFI', 'Grub UEFI', 'Grub2 UEFI', 'Grub2 UEFI SecureBoot', 'iPXE Embedded', 'iPXE Chain BIOS', 'iPXE Chain UEFI'
...

```

Comment 8 errata-xmlrpc 2019-05-14 12:40:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.